# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'lost_in_translation'
  spec.version       = '0.2.19'
  spec.authors       = ['Datyv']
  spec.email         = ['yvesgoizet@gmail.com']

  spec.summary       = 'A Gem to compare two locale yamls'
  spec.description   = 'Take two locales yamls and merge them together with different values.'
  spec.homepage      = 'https://github.com/Datyv/lost_in_translation'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib', 'tmp', 'spec']

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
